<?php


	session_start();
	require_once("inc/auth.inc.php");
	require_once("inc/config.inc.php");
	require_once("inc/pagination.inc.php");


	// results per page
	if (isset($_GET['show']) && is_numeric($_GET['show']) && $_GET['show'] > 0)
		$results_per_page = (int)$_GET['show'];
	else
		$results_per_page = 10;

	$cc = 0;


	if (isset($_REQUEST['id']) && is_numeric($_REQUEST['id']))
	{
		$job_id = (int)$_REQUEST['id'];
		
		// check if viewing job poster //
		$job_result = smart_mysql_query("SELECT *, DATE_FORMAT(added, '%M %e, %Y') AS date_added FROM touchgigs_jobs WHERE job_id='$job_id' AND user_id='$userid' LIMIT 1");
		if (mysqli_num_rows($job_result) == 0)
		{
			header ("Location: index.php");
			exit();
		}
		else
		{
			$job_row = mysqli_fetch_array($job_result);
			$job_id = $job_row['job_id'];
		}
		//////////////////////////////////
	}
	else
	{		
		header ("Location: index.php");
		exit();
	}


	if (isset($_POST['action']) && $_POST['action'] == "modify")
	{
		$ids_arr	= array();
		$ids_arr	= $_POST['id_arr'];

		if (count($ids_arr) > 0)
		{
			foreach ($ids_arr as $v)
			{
				$task_id = (int)$v;
				
				switch($_POST['mark_as'])
				{
					case "confirm":		ConfirmTask($task_id); break;
					case "decline":		DeclineTask($task_id); break;
					case "incomplete":	NotCompleteTask($task_id); break;
				}
			}

			header("Location: offer_orders.php?msg=updated&id=".$job_id);
			exit();
		}	
	}

	////////////////// filter  //////////////////////
		if (isset($_GET['column']) && $_GET['column'] != "")
		{
			switch ($_GET['column'])
			{
				case "user_id": $rrorder = "user_id"; break;
				case "added": $rrorder = "created"; break;
				case "amount": $rrorder = "amount"; break;
				case "status": $rrorder = "status"; break;
				default: $rrorder = "created"; break;
			}
		}
		else
		{
			$rrorder = "created";
		}

		if (isset($_GET['order']) && $_GET['order'] != "")
		{
			switch ($_GET['order'])
			{
				case "asc": $rorder = "asc"; break;
				case "desc": $rorder = "desc"; break;
				default: $rorder = "desc"; break;
			}
		}
		else
		{
			$rorder = "desc";
		}

		if (isset($_GET['filter']) && $_GET['filter'] != "")
		{
			$filter	= mysqli_real_escape_string($conn, trim(getGetParameter('filter')));
			$filter_by = " AND (reference_id LIKE '%$filter%') ";
		}
	//////////////////////////////////////////////////

	if (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] > 0) { $page = (int)$_GET['page']; } else { $page = 1; }
	$from = ($page-1)*$results_per_page;

	$query = "SELECT *, DATE_FORMAT(created, '%d %b %Y %h:%i %p') AS date_complete, TIMESTAMPDIFF(MINUTE,NOW(),expiry) as minutes_left FROM touchgigs_orders WHERE offer_id='$job_id' $filter_by ORDER BY $rrorder $rorder LIMIT $from, $results_per_page";
	
	$total_result = smart_mysql_query("SELECT * FROM touchgigs_orders WHERE offer_id='$job_id' $filter_by ORDER BY created DESC");
	$total = mysqli_num_rows($total_result);

	$result = smart_mysql_query($query);
	$total_on_page = mysqli_num_rows($result);


	///////////////  Page config  ///////////////
	$PAGE_TITLE = "Offer Orders";
	
	$single_page = 1;

	require_once ("inc/header.inc.php");

?>

	    <ol class="breadcrumb breadcrumb-arrow">
			<li><a href="<?php echo SITE_URL; ?>myaccount.php">My Account</a></li>
			<li><a href="<?php echo SITE_URL; ?>myoffers.php">My Offers</a></li>
			<li class="active"><span>Offer Orders</span></li>
		</ol>
		
		<div class="hidden-xs"><ul class="mmenu"><?php $inpage = 1; require ("inc/usermenu.inc.php"); ?></ul></div>



<?php 
	
	if (isset($_GET['order']) && $_GET['order'] > 0 && isset($_GET['id']) && $_GET['id'] > 0)
	{ 
		$order_id		= (int)$_REQUEST['order'];
		$offer_id		= (int)$_REQUEST['id'];
		
		$order_result = smart_mysql_query("SELECT *, DATE_FORMAT(created, '%d %b %Y %h:%i %p') AS order_date, DATE_FORMAT(expiry, '%d %b %Y %h:%i %p') AS expire_date FROM touchgigs_orders WHERE offer_id='$offer_id' AND order_id='$order_id' AND offer_id IN (SELECT job_id FROM touchgigs_jobs WHERE job_type='offer' AND user_id='$userid') LIMIT 1");
		if (mysqli_num_rows($order_result) == 0)
		{
			header ("Location: myoffers.php");
			exit();
		}
		else
		{
			$order_row = mysqli_fetch_array($order_result);
			
		}
		
?>		
		<h2><i class="fa fa-file-text-o" style="color: #5cb85c"></i> Order Details</h2>
		
		
		<table class="table table-condensed table-striped">
		    <tbody>
		      <tr>
		        <td style="width: 150px">Order ID</td>
		        <td><?php echo $order_row['reference_id']; ?></td>
		      </tr>
		      <tr>
		        <td>Date</td>
		        <td><?php echo $order_row['order_date']; ?></td>
		      </tr>
		      <?php if ($order_row['expire_date'] != "") { ?>
		      <tr>
		        <td><i class="fa fa-clock-o"></i> Expire Date</td>
		        <td><?php echo $order_row['expire_date']; ?></td>
		      </tr>
		      <?php } ?>		      
		      <tr>
		        <td>Offer</td>
		        <td><a href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $order_row['offer_id']; ?>" target="_blank"><?php echo $order_row['offer_title']; ?></a></td>
		      </tr>		      
		      <tr>
		        <td>Amount</td>
		        <td><?php echo DisplayMoney($order_row['amount']); ?></td>
		      </tr>
		      <?php if ($order_row['comment'] != "") { ?>
		      <tr>
		        <td>Comment</td>
		        <td><?php echo $order_row['comment']; ?></td>
		      </tr>		      
		      <?php } ?>
		      <tr>
		        <td>Status</td>
		        <td>
					<?php
						switch ($order_row['status'])
						{
							case "request": echo "<span class='label label-default'>request</span>"; break;
							case "pending": echo "<span class='label label-warning'>in process</span>"; break;							
							case "declined": echo "<span class='label label-danger'>declined</span>"; break;
							case "paid": echo "<span class='label label-success'><i class='fa fa-money'></i> paid</span>"; break;
							default: echo "<span class='label label-primary'>".$order_row['status']."</span>"; break;
						}
					?>
					<?php if ($order_row['status'] == "pending") { ?>
						 <!--<br><br><a class="btn btn-success btn-lg" href="<?php echo SITE_URL; ?>myoffers.php?offer_id=<?php echo $order_row['offer_id']; ?>&id=<?php echo $order_row['order_id']; ?>&act=done">I have complete job!</a>-->
					<?php } ?> 
					<!-- refund link //dev -->       
		        </td>
		      </tr>
		      <?php if ($order_row['feedback'] != "") { ?>
		      <tr>
		        <td>Feedback</td>
		        <td><?php if ($order_row['rating'] == 1) { ?><i class="fa fa-thumbs-up fa-lg" style="color: #91d33f"></i><?php }else{ ?><i class="fa fa-thumbs-down fa-lg" style="color: #cb1c1c"></i><?php } ?><br><?php echo $order_row['feedback']; ?></td>
		      </tr>		      
		      <?php } ?>		      	      
		    </tbody>
		  </table>
		  <p align="center"><a class="btn btn-default" href="#" onclick="history.go(-1);return false;"><i class="fa fa-chevron-left"></i> Go Back</a></p>	
		  
<?php }else{ ?>


		<h2 class="pull-left"><?php echo $job_row['title']; ?></h2>
		<div class="pull-right" style="padding-top: 30px"><a href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $job_id; ?>" target="_blank">view offer details <i class="fa fa-external-link"></i></a></div>
		<div style="clear: both"></div>
		
		<?php if (isset($_GET['msg']) && $_GET['msg'] != "") { ?>
		<div class="alert alert-success alert-dismissible fade in">
			<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
			<i class="fa fa-check-circle-o fa-lg"></i> 
			<?php
				switch ($_GET['msg'])
				{
					case "updated": echo "Tasks have been successfully updated"; break;
				}
			?>
		</div>
		<?php } ?>

		<?php if (isset($allerrors)) { ?>
			<div class="alert alert-danger"><?php echo $allerrors; ?></div>
		<?php } ?>


		<div class="container2">
		<div class="row" style="background: #F7F7F7;">
			<div class="col-md-2 col-xs-6 text-center" style="border-right: 1px solid #FFF"><span class="num"><?php echo DisplayMoney($job_row['price']); ?></span> <i class="fa fa-money fa-2x" style="color: #91d33f"></i> Price</div>			
			<?php if ($job_row['duration'] != "") { ?><div class="col-md-3 col-xs-6 text-center" style="border-right: 1px solid #FFF"><span class="num"><?php echo ConvertDuration($job_row['duration']); ?></span> <i class="fa fa-clock-o fa-2x"></i> Delivery Time</div><?php } ?>			
			<div class="col-md-2 col-xs-6 text-center" style="border-right: 1px solid #FFF"><span class="num"><?php echo $job_row['positions']; ?></span> <i class="fa fa-list fa-2x"></i> Available Items</div>
			<div class="col-md-2 col-xs-6 text-center" style="border-right: 1px solid #FFF"><span class="num"><?php echo GetOfferSalesTotal($job_row['job_id']); ?></span> <i class="fa fa-shopping-cart fa-2x" style="color: #91d33f"></i> Sales</div>
			<div class="col-md-3 col-xs-12 text-center">
				<span class="num"><?php echo GetOfferFeedbacksTotal($job_row['job_id']); ?></span>
				<i class="fa fa-comments-o fa-2x"></i> Feedbacks
				<br><i class="fa fa-star fa-lg" style="color: #f4c869"></i>  Rating: <?php echo GetJobSuccess($job_row['job_id']); ?><br/><br/>
			</div>
		</div>
		</div>
		
		<br>
		<a name="orders"></a>
		<h3 class="brd"><i class="fa fa-shopping-cart" style="color: #5cb85c"></i> Offer Orders</h3>
		<?php if (@$filter) { ?><p><b><i class="fa fa-search"></i> Search results for '<?php echo substr($filter, 0, 70); ?>'</b></p><hr><?php } ?>
		
		<?php if ($total > 0) { ?>
		<form action="#orders" id="form1" name="form1" method="get">
		<div class="row">
			<div class="col-md-3">			
					<!--<span>Sort by:</span>-->
					<div class="col-md-6">
					<select name="column" id="column" onChange="document.form1.submit()" class="form-control input-sm">
						<option value="added" <?php if ($_GET['column'] == "added") echo "selected"; ?>>Date</option>
						<option value="status" <?php if ($_GET['column'] == "status") echo "selected"; ?>>Status</option>
						<option value="amount" <?php if ($_GET['column'] == "amount") echo "selected"; ?>>Amount</option>
						<option value="user_id" <?php if ($_GET['column'] == "user_id") echo "selected"; ?>>Customer</option>
					</select>
					</div>
					<div class="col-md-6">
					<select name="order" id="order" onChange="document.form1.submit()" class="form-control input-sm">
						<option value="desc"<?php if ($_GET['order'] == "desc") echo "selected"; ?>>Descending</option>
						<option value="asc" <?php if ($_GET['order'] == "asc") echo "selected"; ?>>Ascending</option>
					</select>
					</div>
			</div>
			<div class="col-md-3">
				  <!--&nbsp;&nbsp;<span>Results:</span>-->
				  <select name="show" id="show" onChange="document.form1.submit()" class="form-control input-sm">
					<option value="10" <?php if ($_GET['show'] == "10") echo "selected"; ?>>10</option>
					<option value="50" <?php if ($_GET['show'] == "50") echo "selected"; ?>>50</option>
					<option value="100" <?php if ($_GET['show'] == "100") echo "selected"; ?>>100</option>
					<option value="111111111" <?php if ($_GET['show'] == "111111111") echo "selected"; ?>>ALL</option>
				  </select>
			</div>
			<div class="col-md-4">
					<div class="input-group form-group-sm">
						<input type="text" name="filter" value="<?php echo $filter; ?>" class="form-control input-sm" required />
						<span class="input-group-btn">
							<input type="submit" class="btn btn-info" value="Search" />
							<?php if (isset($filter) && $filter != "") { ?><a href="<?php echo SITE_URL; ?>offer_orders.php?id=<?php echo $job_id; ?>"><span class="label label-info"><i class="fa fa-remove"></i> cancel search</span></a><?php } ?>
						</span>
					</div>
					<input type="hidden" name="id" value="<?php echo $job_id; ?>" />
					<input type="hidden" name="page" value="<?php echo $page; ?>" />
			</div>
			<div class="col-md-2 results text-right">
				<?php if ($total > 0) { ?>Showing <?php echo ($from + 1); ?> - <?php echo min($from + $total_on_page, $total); ?> of <?php echo $total; ?><?php } ?>
			</div>
		</div>
		</form>
		<br>
		<?php } ?>
			
			<form id="form2" name="form2" method="post" action="#orders">
			<div class="table-responsive">
            <table class="table table-striped table-hover brd" align="center" width="100%" border="0" cellspacing="0" cellpadding="3">
              <tr>
				<th width="3%"><input type="checkbox" name="selectAll" onclick="checkAll();" class="checkbox" /></th>
				<th width="15%">Order Date</th>
				<th width="15%">Reference ID</th>
				<th width="20%">Customer</th>
				<th width="20%"><i class="fa fa-comments-o"></i> Comments</th>
				<th width="10%">Amount</th>
				<th width="10%">Expires in</th>
                <th width="10%">Status</th>
				<th width="10%">Actions</th>
              </tr>
			<?php if ($total > 0) { ?>
			<?php while ($row = mysqli_fetch_array($result)) { $cc++; ?>
                <tr class="<?php if (($cc%2) == 0) echo "row_even"; else echo "row_odd"; ?>">
                  <td align="center" valign="middle">
					<input type="checkbox" class="checkbox" <?php if ($row['status'] != "pending") echo "disabled=\"disabled\""; ?> name="id_arr[<?php echo $row['order_id']; ?>]" id="id_arr[<?php echo $row['order_id']; ?>]" value="<?php echo $row['order_id']; ?>" />
                  </td>
				  <td nowrap="nowrap" valign="middle" align="left"><?php echo $row['date_complete']; ?></td>
				  <td nowrap="nowrap" valign="middle" align="left"><?php echo $row['reference_id']; ?></td>
                  <td nowrap="nowrap" valign="middle" align="left"><i class="fa fa-user-circle-o"></i> <?php echo GetEmployerInfo($row['user_id'], $username = 1); ?></td>
                  <td valign="middle" align="left"><?php echo $row['comment']; ?></td>
                  <td nowrap="nowrap" valign="middle" align="left"><?php echo DisplayMoney($row['amount']); ?></td>
                  <td nowrap="nowrap" valign="middle" align="left"><?php if ($row['minutes_left'] >= 0 && $row['minutes_left'] != "") { ?><span id="time<?php echo $cc; ?>"><?php echo $row['minutes_left']; ?>:00</span><?php }else{ ?><i class="fa fa-clock-o"></i> expired<?php } ?></td>      
				  <td nowrap="nowrap" valign="middle" align="left">
					<?php 
						switch ($row['status'])
						{
							case "notcomplete": echo "<span class='label label-default'>not complete</span>"; break;
							case "pending": echo "<span class='label label-warning'>awaiting review</span>"; break;							
							case "declined": echo "<span class='label label-danger'>declined</span>"; break;
							case "paid": echo "<span class='label label-success'>paid</span>"; break;
							default: echo "<span class='label label-primary'>".$row['status']."</span>"; break;
						}
					?>
				  </td>
				  <td nowrap="nowrap" valign="middle" align="left"><a href="<?php echo SITE_URL; ?>offer_orders.php?id=<?php echo $row['offer_id']; ?>&order=<?php echo $row['order_id']; ?>"><i class="fa fa-search fa-lg touchgigs_tooltip" title="Details" style="color: #777"></i></a></td>
                </tr>
                
<script src="<?php echo SITE_URL; ?>js/jquery.min.js"></script>     
<script>               
function startTimer(duration, display) {
    var timer = duration, minutes, seconds;
    setInterval(function () {
        minutes = parseInt(timer / 60, 10)
        seconds = parseInt(timer % 60, 10);
        minutes = minutes < 10 ? "0" + minutes : minutes;
        seconds = seconds < 10 ? "0" + seconds : seconds;
        display.textContent = minutes + ":" + seconds;
        if (--timer < 0) {
            timer = duration;
        }
    }, 1000);
}

window.onload = function () {
    var fiveMinutes = 60 * <?php echo $row['minutes_left']; ?>,
        display = document.querySelector('#time<?php echo $cc; ?>');
    startTimer(fiveMinutes, display);
}; 
</script>               
                
			<?php } ?>
				<tr>
					<td style="background: #f5fdf3; border-top: solid 2px #FFF;" colspan="2" align="left">
						<b>Mark selected as:</b>
					</td>
					<td style="background: #f5fdf3; border-top: solid 2px #FFFF;" align="left"> 
						<select name="mark_as" class="form-control input-sm" required>
							<option value="">--------------</option>
							<option value="confirm" id="background:#82ED09;color:#FFF;">&#10003; Complete</option>
						</select>
					</td>
					<td style="background: #f5fdf3; border-top: solid 2px #FFF;" colspan="6" align="left">
					
						<input type="hidden" name="column" value="<?php echo $rrorder; ?>" />
						<input type="hidden" name="order" value="<?php echo $rorder; ?>" />
						<input type="hidden" name="page" value="<?php echo $page; ?>" />
						<input type="hidden" name="action" value="modify" />
						<input type="submit" class="btn btn-info" name="MassModify" id="MassModify" value="Go" />
					</td>
				</tr>
		<?php }else{ ?>
				<tr>
				<td colspan="9" align="center">			
					<?php if (@$filter) { ?>
						<p align="center">No orders found. <a class="btn btn-info" href="<?php echo SITE_URL; ?>offer_orders.php?id=<?php echo $job_id; ?>">Search again &#155;</a></p>
					<?php }else{ ?>
						<p align="center">No orders for this offer at this time.</p>
					<?php } ?>
				</td>
				</tr>
		<?php } ?>
           </table>
           </form>
           </div>
           				
				<?php echo ShowPagination("orders",$results_per_page,"offer_orders.php?id=$job_id&column=$rrorder&order=$rorder&show=$results_per_page&","WHERE offer_id='$job_id'".$filter_by); ?>

				<p align="center"><a class="btn btn-default" href="<?php echo SITE_URL; ?>myoffers.php"><i class="fa fa-angle-left"></i> Go back</a></p>

<?php } ?>


<?php require_once ("inc/footer.inc.php"); ?>